> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipeet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Initialize

> Initialize a stablecoin to local currency transaction



## OpenAPI

````yaml POST /off-ramp/initialize
openapi: 3.1.0
info:
  title: Flipeet API
  description: API for Partners to integrate with Flipeet Services
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.pay.flipeet.io/api/v1/public
security:
  - ApiKeyAuth: []
paths:
  /off-ramp/initialize:
    post:
      tags:
        - Off-Ramp
      description: Initialize a stablecoin to local currency transaction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - asset
                - network
                - currency
                - country
                - amount
                - beneficiary
                - reference
                - channel
              properties:
                amount:
                  type: number
                  example: 100
                asset:
                  type: string
                  example: usdc
                  enum:
                    - usdt
                    - usdc
                    - cngn
                network:
                  type: string
                  example: solana
                  enum:
                    - solana
                    - arbitrum
                    - base
                    - bsc
                    - avalanche
                    - tron
                currency:
                  type: string
                  example: NGN
                  enum:
                    - AED
                    - AFN
                    - ALL
                    - AMD
                    - ANG
                    - AOA
                    - ARS
                    - AUD
                    - AWG
                    - AZN
                    - BAM
                    - BBD
                    - BDT
                    - BGN
                    - BHD
                    - BIF
                    - BMD
                    - BND
                    - BOB
                    - BRL
                    - BSD
                    - BTN
                    - BWP
                    - BYN
                    - BZD
                    - CAD
                    - CDF
                    - CHF
                    - CLP
                    - CNY
                    - COP
                    - CRC
                    - CUP
                    - CVE
                    - CZK
                    - DJF
                    - DKK
                    - DOP
                    - DZD
                    - EGP
                    - ERN
                    - ETB
                    - EUR
                    - FJD
                    - FKP
                    - FOK
                    - GBP
                    - GEL
                    - GGP
                    - GHS
                    - GIP
                    - GMD
                    - GNF
                    - GTQ
                    - GYD
                    - HKD
                    - HNL
                    - HRK
                    - HTG
                    - HUF
                    - IDR
                    - ILS
                    - IMP
                    - INR
                    - IQD
                    - IRR
                    - ISK
                    - JEP
                    - JMD
                    - JOD
                    - JPY
                    - KES
                    - KGS
                    - KHR
                    - KID
                    - KMF
                    - KRW
                    - KWD
                    - KYD
                    - KZT
                    - LAK
                    - LBP
                    - LKR
                    - LRD
                    - LSL
                    - LYD
                    - MAD
                    - MDL
                    - MGA
                    - MKD
                    - MMK
                    - MNT
                    - MOP
                    - MRU
                    - MUR
                    - MVR
                    - MWK
                    - MXN
                    - MYR
                    - MZN
                    - NAD
                    - NGN
                    - NIO
                    - NOK
                    - NPR
                    - NZD
                    - OMR
                    - PAB
                    - PEN
                    - PGK
                    - PHP
                    - PKR
                    - PLN
                    - PYG
                    - QAR
                    - RON
                    - RSD
                    - RUB
                    - RWF
                    - SAR
                    - SBD
                    - SCR
                    - SDG
                    - SEK
                    - SGD
                    - SHP
                    - SLE
                    - SLL
                    - SOS
                    - SRD
                    - SSP
                    - STN
                    - SYP
                    - SZL
                    - THB
                    - TJS
                    - TMT
                    - TND
                    - TOP
                    - TRY
                    - TTD
                    - TVD
                    - TWD
                    - TZS
                    - UAH
                    - UGX
                    - USD
                    - UYU
                    - UZS
                    - VES
                    - VND
                    - VUV
                    - WST
                    - XAF
                    - XCD
                    - XDR
                    - XOF
                    - XPF
                    - YER
                    - ZAR
                    - ZMW
                    - ZWL
                country:
                  type: string
                  example: NG
                  enum:
                    - AD
                    - AE
                    - AF
                    - AG
                    - AI
                    - AL
                    - AM
                    - EU
                    - AN
                    - AO
                    - AQ
                    - AR
                    - AS
                    - AT
                    - AU
                    - AW
                    - AZ
                    - BA
                    - BB
                    - BD
                    - BE
                    - BF
                    - BG
                    - BH
                    - BI
                    - BJ
                    - BM
                    - BN
                    - BO
                    - BR
                    - BS
                    - BT
                    - BV
                    - BW
                    - BY
                    - BZ
                    - CA
                    - CC
                    - CD
                    - CF
                    - CG
                    - CH
                    - CI
                    - CK
                    - CL
                    - CM
                    - CN
                    - CO
                    - CR
                    - CU
                    - CV
                    - CX
                    - CY
                    - CZ
                    - DE
                    - DJ
                    - DK
                    - DM
                    - DO
                    - DZ
                    - EC
                    - EE
                    - EG
                    - EH
                    - ER
                    - ES
                    - ET
                    - FI
                    - FJ
                    - FK
                    - FM
                    - FO
                    - FR
                    - GA
                    - GB
                    - GD
                    - GE
                    - GF
                    - GH
                    - GI
                    - GL
                    - GM
                    - GN
                    - GP
                    - GQ
                    - GR
                    - GS
                    - GT
                    - GU
                    - GW
                    - GY
                    - GZ
                    - HK
                    - HM
                    - HN
                    - HR
                    - HT
                    - HU
                    - ID
                    - IE
                    - IL
                    - IM
                    - IN
                    - IO
                    - IQ
                    - IR
                    - IS
                    - IT
                    - JE
                    - JM
                    - JO
                    - JP
                    - KE
                    - KG
                    - KH
                    - KI
                    - KM
                    - KN
                    - KP
                    - KR
                    - KW
                    - KY
                    - KZ
                    - LA
                    - LB
                    - LC
                    - LI
                    - LK
                    - LR
                    - LS
                    - LT
                    - LU
                    - LV
                    - LY
                    - MA
                    - MC
                    - MD
                    - ME
                    - MG
                    - MH
                    - MK
                    - ML
                    - MM
                    - MN
                    - MO
                    - MP
                    - MQ
                    - MR
                    - MS
                    - MT
                    - MU
                    - MV
                    - MW
                    - MX
                    - MY
                    - MZ
                    - NA
                    - NC
                    - NE
                    - NF
                    - NG
                    - NI
                    - NL
                    - 'NO'
                    - NP
                    - NR
                    - NU
                    - NZ
                    - OM
                    - PA
                    - PE
                    - PF
                    - PG
                    - PH
                    - PK
                    - PL
                    - PM
                    - PN
                    - PR
                    - PS
                    - PT
                    - PW
                    - PY
                    - QA
                    - RE
                    - RO
                    - RS
                    - RU
                    - RW
                    - SA
                    - SB
                    - SC
                    - SD
                    - SE
                    - SG
                    - SH
                    - SI
                    - SJ
                    - SK
                    - SL
                    - SM
                    - SN
                    - SO
                    - SR
                    - SS
                    - ST
                    - SV
                    - SY
                    - SZ
                    - TC
                    - TD
                    - TF
                    - TG
                    - TH
                    - TJ
                    - TK
                    - TL
                    - TM
                    - TN
                    - TO
                    - TR
                    - TT
                    - TV
                    - TW
                    - TZ
                    - UA
                    - UG
                    - UM
                    - US
                    - UY
                    - UZ
                    - VA
                    - VC
                    - VE
                    - VG
                    - VI
                    - VN
                    - VU
                    - WF
                    - WS
                    - XK
                    - YE
                    - YT
                    - ZA
                    - ZM
                    - ZW
                beneficiary:
                  description: The recipient of the offramp transaction.
                  oneOf:
                    - title: Receive to NGN bank account
                      type: object
                      required:
                        - holder_type
                        - holder_name
                        - account_number
                        - bank_code
                      properties:
                        holder_type:
                          type: string
                          enum:
                            - INDIVIDUAL
                            - BUSINESS
                          description: >-
                            Whether the payout recipient is an individual or a
                            business.
                        holder_name:
                          type: string
                          description: Legal name of the account holder or business.
                        account_number:
                          type: string
                          description: Recipient bank account number.
                        bank_code:
                          type: string
                          description: >-
                            Nigerian bank / institution code (see institution
                            list).
                    - title: Receive to GHS mobile money
                      type: object
                      required:
                        - holder_type
                        - holder_name
                        - mobile_number
                        - mobile_network
                      properties:
                        holder_type:
                          type: string
                          enum:
                            - INDIVIDUAL
                            - BUSINESS
                          description: >-
                            Whether the payout recipient is an individual or a
                            business.
                        holder_name:
                          type: string
                          description: Legal name of the account holder.
                        mobile_network:
                          type: string
                          description: Mobile money operator (e.g., MTN, Vodafone).
                        mobile_number:
                          type: string
                          description: Wallet phone number in local format.
                    - title: Receive to GBP bank account
                      type: object
                      required:
                        - holder_type
                        - holder_name
                        - account_number
                        - sort_code
                      properties:
                        holder_type:
                          type: string
                          enum:
                            - INDIVIDUAL
                            - BUSINESS
                          description: >-
                            Whether the payout recipient is an individual or a
                            business.
                        holder_name:
                          type: string
                          description: Legal name of the account holder or business.
                        account_number:
                          type: string
                          description: Bank account number.
                        sort_code:
                          type: string
                          description: Sort code (often formatted as XX-XX-XX).
                        holder_city:
                          type: string
                          description: City associated with the recipient
                        holder_postal_code:
                          type: string
                          description: Postal code or ZIP code
                        holder_street:
                          type: string
                          description: Street address of the recipient
                    - title: Receive to EUR IBAN account
                      type: object
                      required:
                        - holder_type
                        - holder_name
                        - iban
                      properties:
                        holder_type:
                          type: string
                          enum:
                            - INDIVIDUAL
                            - BUSINESS
                          description: >-
                            Whether the payout recipient is an individual or a
                            business.
                        holder_name:
                          type: string
                          description: Legal name of the account holder or business.
                        iban:
                          type: string
                          description: IBAN (International Bank Account Number).
                        holder_city:
                          type: string
                          description: City associated with the recipient
                        holder_postal_code:
                          type: string
                          description: Postal code or ZIP code
                        holder_street:
                          type: string
                          description: Street address of the recipient
                    - title: Receive to other destinations
                      type: object
                      required:
                        - holder_type
                        - holder_name
                      properties:
                        holder_type:
                          type: string
                          enum:
                            - INDIVIDUAL
                            - BUSINESS
                          description: >-
                            Whether the payout recipient is an individual or a
                            business.
                        holder_name:
                          type: string
                          description: Legal name of the account holder or business.
                        account_number:
                          type: string
                        iban:
                          type: string
                        sort_code:
                          type: string
                        swift:
                          type: string
                        routing_number:
                          type: string
                        mobile_network:
                          type: string
                        mobile_number:
                          type: string
                        holder_city:
                          type: string
                        holder_postal_code:
                          type: string
                        holder_street:
                          type: string
                callback_url:
                  type: string
                  example: https://your-app.com/webhook
                reference:
                  type: string
                  example: 550e8400-e29b-41d4-a716-446655440000
                channel:
                  type: string
                  example: BANK
                  enum:
                    - BANK
                    - BLOCKCHAIN
                    - SWIFT
                    - SEPA
                    - SEPA_EUR
                    - WIRE
                    - ACH
                    - DOMESTIC_GBP
                    - MOBILEMONEY
                    - ALIPAY
                    - WECHATPAY
                reason:
                  type: string
                  example: OTHER
                  enum:
                    - OTHER
                staticAddress:
                  type: boolean
                  description: >-
                    Optional. When true, deposit address will always be the same
                    for the same beneficiary.
                  default: false
      responses:
        '200':
          description: OffRamp Initialized successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  status:
                    type: string
                  statusCode:
                    type: number
                  data:
                    type: object
                    properties:
                      success:
                        type: boolean
                      message:
                        type: string
                      timestamp:
                        type: string
                      data:
                        type: object
                        properties:
                          status:
                            type: string
                          type:
                            type: string
                          reference:
                            type: string
                          beneficiary:
                            type: string
                          rate:
                            type: number
                          developer_fee:
                            type: object
                            properties:
                              amount:
                                type: number
                              amount_usd:
                                type: number
                              currency:
                                type: string
                              network:
                                type: string
                              recipient:
                                type: string
                          source:
                            type: object
                            properties:
                              amount:
                                type: number
                              amount_usd:
                                type: number
                              currency:
                                type: string
                              network:
                                type: string
                          destination:
                            type: object
                            properties:
                              amount:
                                type: number
                              amount_usd:
                                type: number
                              currency:
                                type: string
                              network:
                                type: string
                          deposit:
                            type: object
                            properties:
                              amount:
                                type: number
                              address:
                                type: string
                              asset:
                                type: string
                              note:
                                type: array
                                items:
                                  type: string
                          meta:
                            type: object
                          created_at:
                            type: string
                          updated_at:
                            type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: your API key here

````